############################################################
#
# type definition pro_declaration_component_cliconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 1.0.9
#
# Translation of edg-lcfg-cliconfig by Elisabetta Ronchieri.
#
############################################################

declaration template pro_declaration_component_cliconfig;

include pro_declaration_structures;
include pro_declaration_types;

define type type_cliconfig_logging = {
        "timeout"     ? long
        "synctimeout" ? long
        "destination" ? type_hostport
};

define type type_cliconfig_default = {
        "logginglevel"  ? long
        "statuslevel"   ? long
};

define type type_cliconfig_listener = {
        "port"    ? long
        "storage" ? string
};

define type type_cliconfig_attributes = {
        "requirements" ? string
        "rank"         ? string
};

define type component_cliconfig = {
	include structure_component
        "configfile"        ? string
        "retrycount"        ? long
        "errorstorage"      ? string
        "outputstorage"     ? string
        "nsloggerlevel"     ? long
        "dvo"               ? string
        "attributes"        ? type_cliconfig_attributes
        "listener"          ? type_cliconfig_listener
        "logging"           ? type_cliconfig_logging
	"default"           ? type_cliconfig_default
};

type "/software/components/cliconfig" = component_cliconfig;
